package com.takensoft.ai_lms.lms.unit.dao;

import com.takensoft.ai_lms.lms.unit.vo.UnitVO;
import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import java.util.List;

@Mapper("unitDAO")
public interface UnitDAO {
    // 단원 전체 조회
    List<UnitVO> unitList() throws Exception;

    // 단원 등록
    int insertUnit(UnitVO unitVO) throws Exception;

    // 단원 수정
    int updateUnit(UnitVO unitVO) throws Exception;

    // 단원 삭제
    int deleteUnit(UnitVO unitVO) throws Exception;

    // 단원 상세
    List<UnitVO> unitDetail(UnitVO unitVO) throws Exception;
}
